# Draw
TKViewerTest
Viewer2dTest

# Viewer2dTest_DataMapOfText Class Reference

`#include <Viewer2dTest_DataMapOfText.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Viewer2dTest_DataMapOfText (const Standard_Integer NbBuckets=1)
Standard_EXPORT Viewer2dTest_DataMapOfText & | Assign (const Viewer2dTest_DataMapOfText &Other)
Viewer2dTest_DataMapOfText & | operator= (const Viewer2dTest_DataMapOfText &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Viewer2dTest_DataMapOfText ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const Handle(Graphic2d_Text)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const Handle_Graphic2d_Text & | Find (const TCollection_AsciiString &K) const
const Handle_Graphic2d_Text & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT Handle_Graphic2d_Text & | ChangeFind (const TCollection_AsciiString &K)
Handle_Graphic2d_Text & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Viewer2dTest_DataMapOfText (const Viewer2dTest_DataMapOfText &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Viewer2dTest_DataMapOfText::Viewer2dTest_DataMapOfText | ( | const Standard_Integer | NbBuckets = `1` | ) |

Viewer2dTest_DataMapOfText::~Viewer2dTest_DataMapOfText | ( |  | ) | `[inline]`

Standard_EXPORT Viewer2dTest_DataMapOfText::Viewer2dTest_DataMapOfText | ( | const Viewer2dTest_DataMapOfText & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Viewer2dTest_DataMapOfText& Viewer2dTest_DataMapOfText::Assign | ( | const Viewer2dTest_DataMapOfText & | Other | ) |

Standard_EXPORT Standard_Boolean Viewer2dTest_DataMapOfText::Bind | ( | const TCollection_AsciiString & | K,
|  | const Handle(Graphic2d_Text)& | I
| ) |

Standard_EXPORT Handle_Graphic2d_Text& Viewer2dTest_DataMapOfText::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void Viewer2dTest_DataMapOfText::Clear | ( |  | ) |

Standard_EXPORT const Handle_Graphic2d_Text& Viewer2dTest_DataMapOfText::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean Viewer2dTest_DataMapOfText::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void Viewer2dTest_DataMapOfText::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Viewer2dTest_DataMapOfText::operator new | ( | size_t | size | ) | `[inline]`

void* Viewer2dTest_DataMapOfText::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Graphic2d_Text& Viewer2dTest_DataMapOfText::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const Handle_Graphic2d_Text& Viewer2dTest_DataMapOfText::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

Viewer2dTest_DataMapOfText& Viewer2dTest_DataMapOfText::operator= | ( | const Viewer2dTest_DataMapOfText & | Other | ) | `[inline]`

Standard_EXPORT void Viewer2dTest_DataMapOfText::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Viewer2dTest_DataMapOfText::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- Viewer2dTest_DataMapOfText.hxx